From: "Sebastien Fabbro" <bicatali@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-libs/coinor-bonmin/
Date: Wed, 18 Jul 2012 18:49:33 +0000 (UTC) [thread overview]
Message-ID: <1342637271.35b9cd6bf783fb5af8682b2d2e531bd412500ff1.bicatali@gentoo> (raw)
commit: 35b9cd6bf783fb5af8682b2d2e531bd412500ff1
Author: Sebastien Fabbro <sfabbro <AT> uvic <DOT> ca>
AuthorDate: Wed Jul 18 18:47:51 2012 +0000
Commit: Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Wed Jul 18 18:47:51 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=35b9cd6b
sci-libs/coinor-bonmin: Initial import
(Portage version: 2.2.01.20757-prefix/git/Linux x86_64, unsigned Manifest commit)
---
sci-libs/coinor-bonmin/ChangeLog | 9 +++
sci-libs/coinor-bonmin/coinor-bonmin-1.6.0.ebuild | 65 +++++++++++++++++++++
sci-libs/coinor-bonmin/metadata.xml | 10 +++
3 files changed, 84 insertions(+), 0 deletions(-)
diff --git a/sci-libs/coinor-bonmin/ChangeLog b/sci-libs/coinor-bonmin/ChangeLog
new file mode 100644
index 0000000..a3a2e2a
--- /dev/null
+++ b/sci-libs/coinor-bonmin/ChangeLog
@@ -0,0 +1,9 @@
+# ChangeLog for sci-libs/coinor-bonmin
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*coinor-bonmin-1.6.0 (18 Jul 2012)
+
+ 18 Jul 2012; Sébastien Fabbro <bicatali@gentoo.org>
+ +coinor-bonmin-1.6.0.ebuild, +metadata.xml:
+ sci-libs/coinor-bonmin: Initial import
diff --git a/sci-libs/coinor-bonmin/coinor-bonmin-1.6.0.ebuild b/sci-libs/coinor-bonmin/coinor-bonmin-1.6.0.ebuild
new file mode 100644
index 0000000..b3af3a2
--- /dev/null
+++ b/sci-libs/coinor-bonmin/coinor-bonmin-1.6.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+inherit autotools-utils multilib
+
+MYPN=Bonmin
+
+DESCRIPTION="COIN-OR Basic Open-source Nonlinear Mixed INteger programming"
+HOMEPAGE="https://projects.coin-or.org/Bonmin/"
+SRC_URI="http://www.coin-or.org/download/source/${MYPN}/${MYPN}-${PV}.tgz"
+
+LICENSE="EPL-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples glpk static-libs test"
+
+RDEPEND="
+ sci-libs/coinor-cbc
+ sci-libs/coinor-clp
+ sci-libs/ipopt"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? ( virtual/latex-base )
+ test? ( sci-libs/coinor-sample )"
+
+S="${WORKDIR}/${MYPN}-${PV}/${MYPN}"
+
+src_prepare() {
+ # as-needed fix
+ # hack to avoid eautoreconf (coinor has its own weird autotools
+ sed -i \
+ -e 's:\(libbonmin_la_LIBADD.*=\):\1 @BONMINLIB_LIBS@ :' \
+ -e 's:\(libbonmin_la_DEPENDENCIES.*=\).*:\1 ../Algorithms/libbonalgorithms.la ../Interfaces/libbonmininterfaces.la Heuristics/libbonheuristics.la:' \
+ src/CbcBonmin/Makefile.in || die
+}
+
+src_configure() {
+ local myeconfargs=()
+ PKG_CONFIG_PATH+="${ED}"/usr/$(get_libdir)/pkgconfig \
+ autotools-utils_src_configure
+}
+
+src_compile() {
+ autotools-utils_src_compile all $(use doc && echo doc)
+}
+
+src_test() {
+ pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null || die
+ emake test
+ popd > /dev/null || die
+}
+
+src_install() {
+ autotools-utils_src_install
+ use doc && dodoc doc/BONMIN_UsersManual.pdf
+ # already installed
+ rm "${ED}"/usr/share/coin/doc/${MYPN}/{README,AUTHORS,LICENSE} || die
+ if use examples; then
+ insinto /usr/share/doc/${PF}/examples
+ doins -r examples/*
+ fi
+}
diff --git a/sci-libs/coinor-bonmin/metadata.xml b/sci-libs/coinor-bonmin/metadata.xml
new file mode 100644
index 0000000..e4893a6
--- /dev/null
+++ b/sci-libs/coinor-bonmin/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci</herd>
+<longdescription lang="en">
+ BONMIN (Basic Open-source Nonlinear Mixed INteger programming) is an
+ open-source code for solving general MINLP (Mixed Integer NonLinear
+ Programming) problems.
+</longdescription>
+</pkgmetadata>
next reply other threads:[~2012-07-18 18:50 UTC|newest]
Thread overview: 5+ messages / expand[flat|nested] mbox.gz Atom feed top
2012-07-18 18:49 Sebastien Fabbro [this message]
-- strict thread matches above, loose matches on Subject: below --
2013-03-03 17:52 [gentoo-commits] proj/sci:master commit in: sci-libs/coinor-bonmin/ Justin Lecher
2013-07-17 23:42 Sebastien Fabbro
2013-12-08 5:00 Sebastien Fabbro
2013-12-08 5:00 Sebastien Fabbro
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1342637271.35b9cd6bf783fb5af8682b2d2e531bd412500ff1.bicatali@gentoo \
--to=bicatali@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox